package cn.com.qmth.stmms.biz.api.auth.annotation;

import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Retention;
import java.lang.annotation.Target;

/**
 * API方法权限验证器定义
 * 
 * @author LS
 * 
 */
@Target({ METHOD })
@Retention(RUNTIME)
public @interface AuthValidate {

    /**
     * 指定权限验证器的名称
     * 
     * @return
     */
    String[] value() default {};
}
