package cn.com.qmth.stmms.common.utils;

import java.io.UnsupportedEncodingException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public class Md5EncryptUtils {

    private static final char[] DIGITS = { '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e',
            'f' };

    // 页面编码
    private static final String CharSet = "utf-8";

    /**
     * 
     * @param 明文
     * @return 密文
     */
    public static String md5(String text) {
        MessageDigest msgDigest = null;

        try {
            msgDigest = MessageDigest.getInstance("MD5");
        } catch (NoSuchAlgorithmException e) {
            throw new IllegalStateException("System doesn't support MD5 algorithm.");
        }

        try {
            msgDigest.update(text.getBytes(CharSet)); // 按照utf-8编码形式加密

            byte[] bytes = msgDigest.digest();

            String md5Str = new String(encodeHex(bytes));

            msgDigest.update(md5Str.getBytes(CharSet)); // 按照utf-8编码形式加密

            byte[] bytes1 = msgDigest.digest();

            String str = new String(encodeHex(bytes1));

            return str;

        } catch (UnsupportedEncodingException e) {

            throw new IllegalStateException("System doesn't support your  EncodingException.");
        } catch (Exception e) {

            throw new IllegalStateException("Exception when Md5 make");
        }
    }

    public static char[] encodeHex(byte[] data) {

        int l = data.length;

        char[] out = new char[l << 1];

        // two characters form the hex value.
        for (int i = 0, j = 0; i < l; i++) {
            out[j++] = DIGITS[(0xF0 & data[i]) >>> 4];
            out[j++] = DIGITS[0x0F & data[i]];
        }

        return out;
    }

}
