<%@ page language="java" pageEncoding="utf-8"%>
<%@ taglib uri="/WEB-INF/taglib/c.tld" prefix="c"%>
<%@ taglib uri="/WEB-INF/taglib/fmt.tld" prefix="fmt"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<c:if test="${paginator!=null && paginator.totalPage>1}">
	<div class="pagination mr-l">
		<ul>
			<li><a href="#" data-page="1">«</a>
			</li>
			<c:forEach var="page" items="${paginator.slide}">
				<c:if test="${pageNumber==page}">
					<li class="active"><a href="#">${page}</a></li>
				</c:if>
				<c:if test="${pageNumber!=page}">
					<li><a href="#" data-page="${page}">${page}</a>
					</li>
				</c:if>
			</c:forEach>
			<li><a href="#" data-page="${paginator.totalPage}">»</a></li>
			<li><a href="#">共计：${paginator.totalCount}条记录</a></li>
		</ul>
	</div>
</c:if>