<%@ page language="java" pageEncoding="utf-8"%>
<%@ taglib uri="/WEB-INF/taglib/c.tld" prefix="c"%>
<%@ include file="../common/init.jsp"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<%@ include file="../common/top.jsp"%>
</head>
<body class="easyui-layout">
	<%@ include file="../common/header.jsp"%>
	<%@ include file="../leftMenu/school-admin.jsp"%>
	<div data-options="region:'center',title:'首页 -【基础数据维护】- 学校信息管理'">
		<div class="easyui-layout" data-options="fit:true,border:false">
			<div data-options="region:'north',border:false" class="domain">
				<div data-options="region:'north',border:false" class="domain">
					<p class="fr">
						<a href='${ctx}/admin/school/edit/${school.id}'><button class="btn btn-primary"
								type="button">
								<i class="icon-pencil icon-white"></i> 编辑学校信息
							</button>
						</a>
					</p>
				</div>
			</div>
			<div data-options="region:'center'" style="border-color: #ccc; border-left: none;">
				<table width="100%" class="table table-bordered table-striped"
					style="width: 800px; margin: 0 auto; margin-top: 100px;">
					<tbody>
						<tr>
							<td width="20%">学校名称：</td>
							<td width="30%">${school.name}</td>
							<td width="20%">地址：</td>
							<td width="30%" >${school.address}</td>
						</tr>
						<tr>
							<td width="20%">省份</td>
							<td width="30%">${school.province}</td>
							<td width="20%">城市</td>
							<td width="30%">${school.city}</td>
						</tr>
						<tr>
							<td width="20%">电话</td>
							<td width="30%">${school.phone}</td>
							<td width="20%">描述</td>
							<td width="30%">${school.description}</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
	</div>
</body>
<script type="text/javascript">
	$(document).ready(function() {
		$("#schoolItem").addClass("active");
		$("#studentItem").removeClass("active");
	});
</script>
</html>
