<%@ page language="java" pageEncoding="utf-8"%>
<%@ taglib uri="/WEB-INF/taglib/c.tld" prefix="c"%>
<%@ include file="../common/init.jsp"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<%@ include file="../common/top.jsp"%>
</head>
<body class="easyui-layout">
	<%@ include file="../common/header.jsp"%>
	<%@ include file="../common/common_menu.jsp"%>
	<div data-options="region:'center',title:'首页 -【基础数据维护】- 添加学生'">
		<div class="easyui-layout" data-options="fit:true,border:false">
			<div data-options="region:'center'"
				style="border-color: #ccc; border-left: none;">
				<ul class="nav nav-tabs mr-t">
					<li class="active"><a href="#manual-div" data-toggle="tab">批量创建</a></li>
					<li><a href="#import-div" data-toggle="tab">EXCEL导入</a></li>
				</ul>
				<div class="tab-content">
					<div class="tab-pane active change" id="manual-div">
						<form class="form-horizontal" action="${ctx}/admin/student/add"
							method="post">
							<input type="hidden" name="schoolId" value="${schoolId}">
							<div class="control-group"></div>
							<div class="control-group">
								<label class="control-label" for="">班级代码</label>
								<div class="controls">
									<input name="classCode" type="text" required="true">
								</div>
							</div>
							<div class="control-group">
								<label class="control-label" for="">学籍号</label>
								<div class="controls">
									<input name="studentCode" type="text" required="true">
								</div>
							</div>
							<div class="control-group">
								<label class="control-label" for="">学生姓名</label>
								<div class="controls">
									<input name="name" type="text" required="true">
								</div>
							</div>
							<div class="control-group">
								<label class="control-label" for="">性别</label>
								<div class="controls">
									男<input type="radio" checked="checked" name="gender" value="1">
									女<input type="radio" name="gender" value="2">
								</div>
							</div>
							<div class="control-group">
								<label class="control-label" for="">应往届</label>
								<div class="controls">
									应届<input type="radio" checked="checked" name="graType"
										value="1"> 往届<input type="radio" name="graType"
										value="2">
								</div>
							</div>
							<div class="control-group">
								<label class="control-label" for="">班级类型</label>
								<div class="controls">
									<select name="claType">
										<option value="0">不区分</option>
										<option value="1">文科</option>
										<option value="2">理科</option>
									</select>
								</div>
							</div>
							<div class="control-group">
								<label class="control-label" for="">级别</label>
								<div class="controls">
									<select name="schLevel">
										<c:forEach items="${level}" var="l">
											<option value="${l.value}">${l.name}</option>
										</c:forEach>
									</select>
								</div>
							</div>
							<div class="control-group">
								<label class="control-label" for="">毕业年份</label>
								<div class="controls">
									<input name="graduateYear" type="text" required="true">
								</div>
							</div>
							<div class="control-group">
								<div class="controls">
									<input class="btn  btn-primary" type="submit" value="保存">
									<a href="${ctx}/admin/student/list" class="btn" >返回</a>
								</div>
							</div>
						</form>
					</div>
					<div class="tab-pane leading-in" id="import-div">
						<form class="form-horizontal" action="">
							<div class="control-group"></div>
							<div class="control-group">
								<div class="control-group">
									<label class="control-label" for="">模板下载</label>
									<div class="controls">
									<a class="btn btn-success" type="button" href="${properties['download.server']}/考生导入模板.xls" target="_blank">
										<i class="icon-arrow-down icon-white"></i>下载
									</a>
									</div>
								</div>
							</div>
							<div class="control-group">
								<label class="control-label" for="">附件</label>
								<div class="controls">
									<input type="file" name="file">
								</div>
							</div>
							<div class="control-group">
								<div class="controls">
									<input class="btn  btn-primary" type="submit" value="保存">
									<a href="${ctx}/admin/student/list" class="btn" >返回</a>
								</div>
							</div>
						</form>
					</div>
				</div>
				
				<%-- <div class="easyui-tabs">
					<div title="手动录入">
						<form class="form-horizontal" action="${ctx}/admin/student/add"
							method="post">
							<input type="hidden" name="schoolId" value="${schoolId}">
							<div class="control-group"></div>
							<div class="control-group">
								<label class="control-label" for="">班级代码</label>
								<div class="controls">
									<input name="classCode" type="text" required="true">
								</div>
							</div>
							<div class="control-group">
								<label class="control-label" for="">学籍号</label>
								<div class="controls">
									<input name="studentCode" type="text" required="true">
								</div>
							</div>
							<div class="control-group">
								<label class="control-label" for="">学生姓名</label>
								<div class="controls">
									<input name="name" type="text" required="true">
								</div>
							</div>
							<div class="control-group">
								<label class="control-label" for="">性别</label>
								<div class="controls">
									男<input type="radio" checked="checked" name="gender" value="1">
									女<input type="radio" name="gender" value="2">
								</div>
							</div>
							<div class="control-group">
								<label class="control-label" for="">应往届</label>
								<div class="controls">
									应届<input type="radio" checked="checked" name="graType"
										value="1"> 往届<input type="radio" name="graType"
										value="2">
								</div>
							</div>
							<div class="control-group">
								<label class="control-label" for="">班级类型</label>
								<div class="controls">
									<select name="claType">
										<option value="0">不区分</option>
										<option value="1">文科</option>
										<option value="2">理科</option>
									</select>
								</div>
							</div>
							<div class="control-group">
								<label class="control-label" for="">级别</label>
								<div class="controls">
									<select name="schLevel">
										<c:forEach items="${level}" var="l">
											<option value="${l.value}">${l.name}</option>
										</c:forEach>
									</select>
								</div>
							</div>
							<div class="control-group">
								<label class="control-label" for="">毕业年份</label>
								<div class="controls">
									<input name="graduateYear" type="text" required="true">
								</div>
							</div>
							<div class="control-group">
								<div class="controls">
									<input class="btn  btn-primary" type="submit" value="保存">
									<a href="${ctx}/admin/student/list" class="btn" >返回</a>
								</div>
							</div>
						</form>
					</div>
					<div title="Excel导入">
						<form class="form-horizontal" action="">
							<div class="control-group"></div>
							<div class="control-group">
								<div class="control-group">
									<label class="control-label" for="">模板下载</label>
									<div class="controls">
										<button class="btn btn-success" onclick="getDown()">
											<i class="icon-arrow-down icon-white"></i>下载
										</button>
									</div>
								</div>
							</div>
							<div class="control-group">
								<label class="control-label" for="">附件</label>
								<div class="controls">
									<input type="file" name="file">
								</div>
							</div>
							<div class="control-group">
								<div class="controls">
									<input class="btn  btn-primary" type="submit" value="保存">
									<a href="${ctx}/admin/student/list" class="btn" >返回</a>
								</div>
							</div>
						</form>
					</div>
				</div> --%>
			</div>
		</div>
	</div>

</body>
<script type="text/javascript">
	$(document).ready(function() {
		$("#studentItem").addClass("active");
		$("#schoolItem").removeClass("active");
		$('.nav-tabs a').click(function (e) {
			e.preventDefault();
			$(this).tab('show');
		});
	});
</script>
</html>