<%@ page language="java" pageEncoding="utf-8"%>
<%@ taglib uri="/WEB-INF/taglib/c.tld" prefix="c"%>
<%@ include file="../common/init.jsp"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<%@ include file="../common/top.jsp"%>
<title>Insert title here</title>
</head>
<body class="easyui-layout">
	<%@ include file="../common/header.jsp"%>
	<%@ include file="../common/common_menu.jsp"%>
	<div data-options="region:'center',title:'首页 -【基础数据维护】- 编辑学生'">
		<div class="easyui-layout" data-options="fit:true,border:false">
			<div data-options="region:'center'"
				style="border-color: #ccc; border-left: none;">
				<form class="form-horizontal" action="${ctx}/admin/student/edit"
					method="post">
					<input type="hidden" name="id" value="${student.id}"> <input
						type="hidden" name="schoolId" value="${student.schoolId}">
					<div class="control-group"></div>
					<div class="control-group">
						<label class="control-label" for="">班级代码</label>
						<div class="controls">
							<input name="classCode" type="text" value="${student.classCode}">
						</div>
					</div>
					<div class="control-group">
						<label class="control-label" for="">学籍号</label>
						<div class="controls">
							<input name="studentCode" type="text"
								value="${student.studentCode}">
						</div>
					</div>
					<div class="control-group">
						<label class="control-label" for="">学生姓名</label>
						<div class="controls">
							<input name="name" type="text" value="${student.name}">
						</div>
					</div>
					<div class="control-group">
						<label class="control-label" for="">性别</label>
						<div class="controls mar">
							男<input type="radio"
								<c:if test="${student.gender==1}">checked="checked"</c:if>
								name="gender" value="1"> 女<input type="radio"
								<c:if test="${student.gender==2}">checked="checked"</c:if>
								name="gender" value="2">
						</div>
					</div>
					<div class="control-group">
						<label class="control-label" for="">应往届</label>
						<div class="controls mar">
							应届<input type="radio" <c:if test="${student.graduateType.value==1}">checked="checked"</c:if>
								name="graType" value="1"> 
							往届<input type="radio" <c:if test="${student.graduateType.value==2}">checked="checked"</c:if>
								name="graType" value="2">
						</div>
					</div>
					<div class="control-group">
						<label class="control-label" for="">班级类型</label>
						<div class="controls">
							<select name="claType">
								<option
									<c:if test="${student.classType.value==0}">checked="checked"</c:if>
									value="0">不区分</option>
								<option
									<c:if test="${student.classType.value==1}">checked="checked"</c:if>
									value="1">文科</option>
								<option
									<c:if test="${student.classType.value==2}">checked="checked"</c:if>
									value="2">理科</option>
							</select>
						</div>
					</div>
					<div class="control-group">
								<label class="control-label" for="">级别</label>
								<div class="controls">
									<select name="schLevel">
										<c:forEach items="${level}" var="l">
											<option value="${l.value}" <c:if test="${l.value==student.schoolLevel.value}">selected="selected"</c:if>>${l.name}</option>
										</c:forEach>
									</select>
								</div>
							</div>
					<div class="control-group">
						<label class="control-label" for="">届别</label>
						<div class="controls">
							<input name="graduateYear" type="text"
								value="${student.graduateYear}">
						</div>
					</div>
					<div class="control-group">
						<div class="controls">
							<input class="btn  btn-primary" type="submit" value="保存">
							<a href="${ctx}/admin/student/list" class="btn" >返回</a>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</body>
<script type="text/javascript">
	$(document).ready(function() {
		$("#studentItem").addClass("active");
		$("#schoolItem").removeClass("active");
	});
</script>
</html>