<%@ page language="java" pageEncoding="utf-8"%>
<%@ taglib uri="/WEB-INF/taglib/c.tld" prefix="c"%>
<%@ include file="../common/init.jsp"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<%@ include file="../common/top.jsp"%>
<%@ include file="../common/analysis.jsp"%>
<title>成绩分析-老师-学科基本统计指标分析</title>
</head>
<body class="easyui-layout">
	<%@ include file="../common/header.jsp"%>
	<%@ include file="menu.jsp"%>
	<div data-options="region:'center',title:'首页 - <a href=#>【任课教师报告】</a> - 统计指标分析'">
		<div class="easyui-layout" data-options="fit:true,border:false">
			<div data-options="region:'north',border:false" class="domain">
				<form class="form-inline" id="paraForm" name="paraForm" action="post" target="reportFrame">
						<input type="hidden" class="report-parameter" name="school_id" value="${school_id}" /> 
						<%@ include file="../common/exam-select.jsp"%>
						<%@ include file="../common/class-multi-select.jsp"%>
						<%@ include file="../common/subject-select.jsp"%>
						<%@ include file="../common/pass-score.jsp"%>
						<%@ include file="../common/good-score.jsp"%>
						<%@ include file="../common/excellent-score.jsp"%>
						<%@ include file="../common/report-button.jsp"%>
				</form>
			</div>
			
			<div id="class-select-div" class="popover fade bottom in popover-content2-span3" style="display:none;top:45px; left:130px;">
		       <div class="arrow"></div>
		       <h3 class="popover-title">班级代码</h3>
		       <div class="popover-content2">
		           <p class="popover-list wit" id="class-checkbox">
		           </p>
		           <p class="popover-button">
	                 <i href="#" class="btn btn-primary" type="submit" id="class-select-all">全选</i>
	                 <i href="#" class="btn" type="submit" id="class-unselect-all">清空</i>
	                 <i href="#" class="btn" type="submit" id="class-save">保存</i>
	               </p>
		       </div>             
    		</div>
			
			<div class="border" data-options="region:'center'">
				<iframe id="reportFrame" name="teacher/subjectCommonAnalysis.cpt"
						width="100%" height="100%" frameBorder="0" scrolling="no"></iframe>
			</div>
		</div>
	</div>
</body>
</html>