<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>中心管理</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
	<%@include file="/WEB-INF/views/include/dialog.jsp" %>
	<style type="text/css">.sort{color:#0663A2;cursor:pointer;}</style>
</head>
<body>
	<ul class="nav nav-tabs">
		<li class="active"><a href="${ctx}/admin/exam-param/campus">学习中心列表</a></li>
		<li><a href="${ctx}/admin/exam-param/campus/form">添加学习中心</a></li>
	</ul>
	<tags:message content="${message}"/>
	<table id="contentTable" class="table table-striped table-bordered table-condensed">
		<thead>
			<tr>
				<th>ID</th>
				<th>名称</th>
				<th>省</th>
				<th>市</th>
				<th>区县</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${campusList}" var="campus">
			<tr>
				<td>${campus.id}</td>
				<td>${campus.name}</td>
				<td>${campus.province}</td>
				<td>${campus.city}</td>
				<td>${campus.district}</td>
				<td>
					<c:if test="${isFinish==false}">
						<a href="${ctx}/admin/exam-param/campus/delete?id=${course.id}" onclick="return confirmx('确认要删除该中心吗？', this.href)">删除</a>
					</c:if>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
</body>
</html>