<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>客观小题管理</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
	<%@include file="/WEB-INF/views/include/dialog.jsp" %>
	<style type="text/css">.sort{color:#0663A2;cursor:pointer;}</style>
</head>
<body>
	<%@include file="/WEB-INF/views/include/examInfoNavTabs.jsp" %>
	<form id="searchForm" action="" method="post" class="breadcrumb form-search">
		<div>
			<label>科目：${subject.examSubject.name}</label>
			<label>状态：${subject.status.name}</label>
			<label>考生总数：${subject.studentCount}</label>
			&nbsp;
			<c:if test="${subject.status.value==2}">
				<a href="${ctx}/admin/exam-param/subject/start-mark?subjectCode=${subject.subjectCode}" class="btn btn-primary">开始评卷</a>
			</c:if>
			<a href="#" id="refresh-button" class="btn btn-primary">刷新</a>
			<a href="${ctx}/admin/exam-param/subject/mark/list?subjectCode=${subject.subjectCode}" class="btn">返回</a>
		</div>
	</form>
	<tags:message content="${message}"/>
	<table id="contentTable" class="table table-striped table-bordered table-condensed">
		<thead>
			<tr>
				<th>大题序号</th>
				<th>大题名称</th>
				<th>评卷人数</th>
				<th>任务总数</th>
				<th>已评数量</th>
				<th>完成比例</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${blockList}" var="block">
			<tr>
				<td>${block.number}</td>
				<td>${block.title}</td>
				<td><a href="${ctx}/admin/exam-param/marker/assigned?subjectCode=${subject.subjectCode}&blockId=${block.id}">${block.markerCount}</a></td>
				<td>${block.totalCount}</td>
				<td>${block.markedCount}</td>
				<td>${block.markedPercent}</td>
				<td>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
<script type="text/javascript">
$('#refresh-button').click(function(){
	window.location.reload();
});
</script>	
</body>
</html>