<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>评卷员进度</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
	<style type="text/css">.sort{color:#0663A2;cursor:pointer;}</style>
</head>
<body>
	<%-- <ul class="nav nav-tabs">
		<li class="active"><a href="${ctx}/admin/exam-param/marker/progress">评卷员进度</a></li>
		<li><a href="${ctx}/admin/exam-param/marker/batch-create">批量创建</a></li>
	</ul> --%>
	<form id="searchForm"  action="${ctx}/admin/exam-param/marker/progress" method="post" class="breadcrumb form-search">
		<div>
			<label>科目：</label>
			<select id="subject-select" name="subjectCode">
				<c:if test="${web_user.type.value==5}">
					<c:forEach items="${subjectList}" var="subject">
						<c:if test="${subject.code==subjectCode}">
						<option value="${subject.code}" >${subject.code}-${subject.name}</option>
						</c:if>
					</c:forEach>
				</c:if>
				<c:if test="${web_user.type.value==0}">
					<c:forEach items="${subjectList}" var="subject">
					<option value="${subject.code}" <c:if test="${subject.code==query.subjectCode}">selected</c:if>>${subject.code}-${subject.name}</option>
					</c:forEach>
				</c:if>
			</select>
			&nbsp;
			<c:if test="${web_user.type.value==0}">
			<input id="btnSubmit" class="btn btn-primary" type="button" value="查询" onclick="goSearch()"/>
			&nbsp;
				<a href="${ctx}/admin/exam-param/marker" class="btn">评卷员管理</a>
			</c:if>
		</div>
	</form>
	<tags:message content="${message}"/>
	<table id="contentTable" class="table table-striped table-bordered table-condensed">
		<thead>
			<tr>
				<th>科目</th>
				<th>登录名</th>
				<th>姓名</th>
				<th>状态</th>
				<th>已完成</th>
				<th>正在评卷</th>
				<th>最高分</th>
				<th>最低分</th>
				<th>平均分</th>
				<th>标准方差</th>
				<th>最快速度(秒)</th>
				<th>最慢速度(秒)</th>
				<th>平均速度(秒)</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${markerVOs}" var="marker">
			<tr>
				<td>${marker.subject.name}</td>
				<td>${marker.loginName}</td>
				<td>${marker.name}</td>
				<td>${marker.enable eq true ? "启用" : "禁用"}</td>
				<td>${marker.markedCount}</td>
				<td>${marker.currentCount}</td>
				<td>${marker.maxScore}</td>
				<td>${marker.minScore}</td>
				<td>${marker.avgScore}</td>
				<td>${marker.stdDev}</td>
				<td>${marker.minSpeed/1000}</td>
				<td>${marker.maxSpeed/1000}</td>
				<td>${marker.avgSpeed/1000}</td>
				<td>
					<c:if test="${marker.currentCount>0}">
					<a href="${ctx}/admin/exam-param/marker/release?markerId=${marker.id}">回收</a>
					</c:if>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
<%-- 	<div class="pagination">${query}</div> --%>
<script type="text/javascript">
function goSearch(){
	$("#searchForm").attr("action","${ctx}/admin/exam-param/marker/progress");
	$("#searchForm").submit();
	return false;
}
</script>	
</body>
</html>