<%@ page language="java" pageEncoding="utf-8"%>
<%@ taglib uri="/WEB-INF/taglib/c.tld" prefix="c"%>
<%@ include file="../common/init.jsp"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<%@ include file="../common/top.jsp"%>
<title>Insert title here</title>
</head>
<body class="easyui-layout">
	<%@ include file="../common/header.jsp"%>
	<%@ include file="../common/common_menu.jsp"%>
	<div data-options="region:'center',title:'首页 -【基础数据维护】- 学习中心信息编辑'">
		<div class="easyui-layout" data-options="fit:true,border:false">
			<div data-options="region:'north',border:false" class="domain">
			</div>
			<div data-options="region:'center'"
				style="border-color: #ccc; border-left: none;">
				<form class="form-horizontal" action="${ctx}/admin/campus/edit" method="post">
					<input type="hidden" name="id" value="${campus.id}"/>
					<input type="hidden" name="schoolLevel" value="${campus.level.value}"/>
					<input type="hidden" name="status" value="1"/>
					<div class="control-group"></div>
					<div class="control-group">
						<label class="control-label" for="">名称</label>
						<div class="controls mar">
							${campus.name}
						</div>
					</div>
					<div class="control-group">
						<label class="control-label" for="">电话</label>
						<div class="controls">
							<input type="text" name="phone" value="${campus.phone}"/>
						</div>
					</div>
					<div class="control-group">
						<label class="control-label" for="">地址</label>
						<div class="controls">
							<input type="text" name="address" value="${campus.address}"/>
						</div>
					</div>
					<div class="control-group">
						<label class="control-label" for="">描述</label>
						<div class="controls">
							<textarea class="input-xxlarge" name="description" rows="4">${campus.description}</textarea>
						</div>
					</div>
					<div class="control-group">
						<div class="controls">
							<input class="btn btn-primary" type="submit" value="保存"/>
							<a href="${ctx}/admin/campus/info" class="btn">返回</a>
						</div>
					</div>
				</form>
				</div>
				</div>
			</div>
</body>
<script type="text/javascript">
$(document).ready(function(){
});
</script>
</html>