<%@ page language="java" pageEncoding="utf-8"%>
<%@ taglib uri="/WEB-INF/taglib/c.tld" prefix="c"%>
<%@ include file="../../common/init.jsp"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<%@ include file="../../common/top.jsp"%>
</head>
<body class="easyui-layout">
	<%@ include file="../../common/header.jsp"%>
	<%@ include file="../../leftMenu/exam-admin.jsp"%>
	<div data-options="region:'center',title:'首页 - 【考试管理】 - 学习中心管理'">
		<div class="easyui-layout" data-options="fit:true,border:false">
			<div data-options="region:'north',border:false" class="domain">
				<%@ include file="../../common/message.jsp"%>
				<form class="form-inline" action="${ctx}/admin/exam-param/campus/query" method="post" id="search-form">
					<span class="help-inline">地区：</span> 
					<span id="area-select"></span>
					<input type="hidden" id="province" name="province" value="${campus.province}"/>
					<input type="hidden" id="city" name="city" value="${campus.city }"/>
					<input type="hidden" id="city"  name="district" value="${campus.district }"/>
					<span class="help-inline">名称：</span> 
					<input class="input-small" name="name" type="text"/>
					<button type="submit" class="btn">
						<i class="icon-search"></i> 查询
					</button>
					<c:if test="${isFinish==false}">
					<a href="${ctx}/admin/exam-param/student/import" class="btn btn-success"> 
						<i class="icon-plus icon-white"></i> 添加 
					</a>
					<a href="#" id="clear-all-button" class="btn btn-danger"> 
						<i class="icon-trash icon-white"></i> 清空 
					</a>
					</c:if>
				</form>
			</div>
			<div class="border" data-options="region:'center'">
			<form action="${ctx}/admin/exam-param/campus/save" method="post">
				<c:forEach var="campus" items="${list }">
					<input id="campusIds" name="campusIds" type="checkbox" value="${campus.id }">${campus.name }
				</c:forEach>
				<div class="control-group">
					<div class="controls">
						<input class="btn btn-primary" type="submit" value="保存"/>
						<a href="${ctx}/admin/exam-param/campus" class="btn">返回</a>
					</div>
				</div>
				</form>
			</div>
		</div>
	</div>
</body>
<script type="text/javascript">
$(document).ready(function(){
	$("#area-select").chinaprovinces({province:'${query.province}', city:'${query.city}', area:'${query.district}', valueType:'name',change:function(province,city,area){
		$("#province").val(province);
		$("#city").val(city);
		$("#district").val(area);
	}});
});
</script>
</html>