<%@ page language="java" pageEncoding="utf-8"%>
<%@ taglib uri="/WEB-INF/taglib/c.tld" prefix="c"%>
<%@ include file="common/init.jsp"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<%@ include file="common/top.jsp"%>
<title>Insert title here</title>
</head>
<body class="easyui-layout">
	<%@ include file="common/header.jsp"%>
	<div data-options="region:'center',">
		<div class="row-fluid">
			<ul class="thumbnails entry-w">
				<c:if test="${web_user.roleMap['sys_admin']!=null }">
				<li><a class="thumbnail" href="${ctx}/admin/school/list"><img src="${ctx}/static/admin/images/management.png">
						<div class="caption">
							<h4>系统管理</h4>
						</div> </a></li>
				</c:if>
				<c:if test="${web_user.roleMap['school_admin']!=null }">
				<li><a class="thumbnail" href="${ctx}/admin/school/info"><img src="${ctx}/static/admin/images/base.png">
						<div class="caption">
							<h4>基础数据维护</h4>
						</div> </a></li>
				<li><a class="thumbnail" href="${ctx}/admin/exam/list"><img src="${ctx}/static/admin/images/exam.png">
						<div class="caption">
							<h4>考试管理</h4>
						</div>
				</a></li>
				</c:if>
				<c:if test="${web_user.roleMap['department_admin']!=null }">
				<%-- <li><a class="thumbnail" href="${ctx}/admin/department/info"><img src="${ctx}/static/admin/images/base.png">
						<div class="caption">
							<h4>基础数据维护</h4>
						</div> </a></li> --%>
				<li><a class="thumbnail" href="${ctx}/admin/exam/list"><img src="${ctx}/static/admin/images/exam.png">
						<div class="caption">
							<h4>考试管理</h4>
						</div>
				</a></li>
				</c:if>
				<c:if test="${web_user.roleMap['master']!=null || web_user.roleMap['head_teacher']!=null || web_user.roleMap['teacher']!=null}">
				<li><a class="thumbnail" href="sas.html"><img src="${ctx}/static/admin/images/sas.png">
						<div class="caption">
							<h4>成绩分析</h4>
						</div>
				</a></li>
				</c:if>
			</ul>
		</div>

	</div>
</body>
</html>