<%@ page language="java" pageEncoding="utf-8"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib uri="/WEB-INF/taglib/c.tld" prefix="c"%>
<%@ include file="common/init.jsp"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<%@ include file="common/top.jsp"%>
<title>Insert title here</title>
</head>
<body class="easyui-layout">
	<%@ include file="common/header.jsp"%>
	<div data-options="region:'center',">
		<div class="easyui-layout" data-options="fit:true,border:false">
        <div class="border" data-options="region:'center'">
        <div class="ui-tab">
            <div class="ui-tab-trigger"> 
                <ul id="tab-list">
                	<li id="dep-t1" style="display:none" class="ui-tab-trigger-item"><a href="#">上线分析</a></li>
                    <li id="dep-t2" style="display:none" class="ui-tab-trigger-item"><a href="#">整体分析</a></li>
                    <li id="dep-t3" style="display:none" class="ui-tab-trigger-item"><a href="#">科目分析</a></li>
                    <li id="dep-t4" style="display:none" class="ui-tab-trigger-item"><a href="#">优秀考生分析</a></li>
                    <li id="mas-t1" style="display:none" class="ui-tab-trigger-item"><a href="#">整体分析</a></li>
                    <li id="mas-t2" style="display:none" class="ui-tab-trigger-item"><a href="#">上线分析</a></li>
                    <li id="mas-t3" style="display:none" class="ui-tab-trigger-item"><a href="#">科目分析</a></li>
                    <li id="hea-t1" style="display:none" class="ui-tab-trigger-item"><a href="#">整体分析</a></li>
                    <li id="hea-t2" style="display:none" class="ui-tab-trigger-item"><a href="#">上线分析</a></li>
                    <li id="sub-t1" style="display:none" class="ui-tab-trigger-item"><a href="#">质量分析</a></li>
                    <li id="sub-t2" style="display:none" class="ui-tab-trigger-item"><a href="#">难易度分析</a></li>
                    <li id="sub-t3" style="display:none" class="ui-tab-trigger-item"><a href="#">小题分析</a></li>
                </ul>
            </div>
        </div>
        <div class="report-option">
		 <ul id="ul-list">
		   <li id="dep-li1-1" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/department/onlinedetail')}">class="active"</c:if>><a href="${ctx}/analysis/department/onlinedetail">上线明细</a></li>
		   <li id="dep-li1-2" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/department/online')}">class="active"</c:if>><a  href="${ctx}/analysis/department/online">上线统计</a></li>
		   <li id="dep-li1-3" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/department/totalanalysis')}">class="active"</c:if>><a href="${ctx}/analysis/department/totalanalysis">总分分段</a></li>
		   
		   <li id="dep-li2-1" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/department/frequencyanalysis')}">class="active"</c:if>><a href="${ctx}/analysis/department/frequencyanalysis" >学科指标</a></li>
		   <li id="dep-li2-2" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/department/qualityanalysis')}">class="active"</c:if>><a  href="${ctx}/analysis/department/qualityanalysis">质量分析</a></li>
		   
		   <li id="dep-li3-1" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/department/knowledgedifficult')}">class="active"</c:if>><a  href="${ctx}/analysis/department/knowledgedifficult" >知识点1</a></li>
		   <li id="dep-li3-2" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/department/knowledgescored')}">class="active"</c:if>><a  href="${ctx}/analysis/department/knowledgescored" >知识点2</a></li>
		   <li id="dep-li3-3" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/department/objectivescored')}">class="active"</c:if>><a  href="${ctx}/analysis/department/objectivescored" >客观题</a></li>
		   <li id="dep-li3-4" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/department/paperdifficult') }">class="active"</c:if>><a  href="${ctx}/analysis/department/paperdifficult">试卷难度</a></li>
		   <li id="dep-li3-5" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/department/questiontypedifficult') }">class="active"</c:if>><a  href="${ctx}/analysis/department/questiontypedifficult">题型难度</a></li>
		   <li id="dep-li3-6" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/department/questiontypescored')  }">class="active"</c:if>><a href="${ctx}/analysis/department/questiontypescored">题型得分</a></li>
		   
		   <li id="dep-li4-1" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/department/excellent') }">class="active"</c:if>><a href="${ctx}/analysis/department/excellent">优秀考生</a></li>
		   <li id="dep-li4-1" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/department/first') }">class="active"</c:if>><a href="${ctx}/analysis/department/first">尖子生</a></li>
		 
		   <li id="mas-li1-1" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/school/totalanalysis') }">class="active"</c:if>><a href="${ctx}/analysis/school/totalanalysis">学校详情</a></li>
		   <li id="mas-li1-2" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/school/qualityanalysis') }">class="active"</c:if>><a href="${ctx}/analysis/school/qualityanalysis">质量分析</a></li>
		   <li id="mas-li1-3" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/school/avgcompare') }">class="active"</c:if>><a href="${ctx}/analysis/school/avgcompare">均分对比</a></li>
		   
		   <li id="mas-li2-1" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/school/excellentstudentanalysis') }">class="active"</c:if>><a href="${ctx}/analysis/school/excellentstudentanalysis">尖子生</a></li>
		   <li id="mas-li2-2" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/school/maxmin') }">class="active"</c:if>><a href="${ctx}/analysis/school/maxmin">两端分布</a></li>
		   <li id="mas-li2-3" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/school/totalrange') }">class="active"</c:if>><a href="${ctx}/analysis/school/totalrange">总分分段</a></li>
		   <li id="mas-li2-4" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/school/onlinedetail') }">class="active"</c:if>><a href="${ctx}/analysis/school/onlinedetail">上线明细</a></li>
		   
		   <li id="mas-li3-1" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/school/subjectanalysis') }">class="active"</c:if>><a href="${ctx}/analysis/school/subjectanalysis">单科分析</a></li>
		   <li id="mas-li3-2" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/school/subjectitemanalysis') }">class="active"</c:if>><a href="${ctx}/analysis/school/subjectitemanalysis">单科小题</a></li>
		   <li id="mas-li3-3" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/school/subjectobjectiveanalysis') }">class="active"</c:if>><a href="${ctx}/analysis/school/subjectobjectiveanalysis">科目客观题</a></li>
		   <li id="mas-li3-4" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/school/subitemscored') }">class="active"</c:if>><a href="${ctx}/analysis/school/subitemscored">小题得分明细</a></li>
         
           <li id="hea-li1-1" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/headerteacher/classanalysis') }">class="active"</c:if>><a href="${ctx}/analysis/headerteacher/classanalysis">班级详细</a></li>
           <li id="hea-li1-2" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/headerteacher/qualityanalysis') }">class="active"</c:if>><a href="${ctx}/analysis/headerteacher/qualityanalysis">质量分析</a></li>
		   
           <li id="hea-li2-1" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/headerteacher/excellentstudentanalysis') }">class="active"</c:if>><a href="${ctx}/analysis/headerteacher/excellentstudentanalysis">尖子生</a></li>
           <li id="hea-li2-2" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/headerteacher/maxmin') }">class="active"</c:if>><a href="${ctx}/analysis/headerteacher/maxmin">两端分布</a></li>
		   
           <li id="sub-li1-1" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/teacher/classbalance') }">class="active"</c:if>><a href="${ctx}/analysis/teacher/classbalance">科目均衡分析</a></li>
           <li id="sub-li1-2" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/teacher/subjectcommonanalysis') }">class="active"</c:if>><a href="${ctx}/analysis/teacher/subjectcommonanalysis">学科指标</a></li>
		   
           <li id="sub-li2-1" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/teacher/paperdifficult') }">class="active"</c:if>><a href="${ctx}/analysis/teacher/paperdifficult">难度层次</a></li>
           <li id="sub-li2-2" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/teacher/questiontypescored') }">class="active"</c:if>><a href="${ctx}/analysis/teacher/questiontypescored">题型得分</a></li>
           <li id="sub-li2-3" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/teacher/knowledgescored') }">class="active"</c:if>><a href="${ctx}/analysis/teacher/knowledgescored">知识点得分</a></li>
		   
		   <li id="sub-li3-1" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/teacher/wronganalysis') }">class="active"</c:if>><a href="${ctx}/analysis/teacher/wronganalysis">错题分析</a></li>
           <li id="sub-li3-2" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/teacher/subquestionknowledgeanalysis') }">class="active"</c:if>><a href="${ctx}/analysis/teacher/subquestionknowledgeanalysis">小题分析</a></li>
           <li id="sub-li3-3" style="display:none" <c:if test="${fn:endsWith(web_request_url,'/analysis/teacher/objectivescored') }">class="active"</c:if>><a href="${ctx}/analysis/teacher/objectivescored">客观题</a></li>
		   
		   <li id="stu-li1-1" style="display:none"><a href="#">成绩信息</a></li>
		   <li id="stu-li1-2" style="display:none"><a href="#">成绩明细</a></li>
		   <li id="stu-li1-3" style="display:none"><a href="#">历史比较</a></li>
		   <li id="stu-li1-4" style="display:none"><a href="#">成绩报告</a></li>
		 </ul>
		</div>
	    </div>
        </div>
	</div>
</body>
<script type="text/javascript">
	$(document).ready(function() {
		$("#top-ks-1").click(function(){
			$("#tab-list li").each(function(){
				$(this).css("display","none");
			});
			$('#tab-list li[id^=dep-t]').each(function(){
				$(this).css("display","block");
			});
		});
		$("#top-ks-2").click(function(){
			$("#tab-list li").each(function(){
				$(this).css("display","none");
			});
			$('#tab-list li[id^=mas-t]').each(function(){
				$(this).css("display","block");
			});		
		});
		$("#top-ks-3").click(function(){
			$("#tab-list li").each(function(){
				$(this).css("display","none");
			});
			$('#tab-list li[id^=hea-t]').each(function(){
				$(this).css("display","block");
			});
		});
		$("#top-ks-4").click(function(){
			$("#tab-list li").each(function(){
				$(this).css("display","none");
			});
			$('#tab-list li[id^=sub-t]').each(function(){
				$(this).css("display","block");
			});
		});
		$("#tab-list li").click(function(){
			$("#tab-list li").each(function(){
				$(this).removeClass("ui-tab-trigger-item-current");
			});
			$(this).addClass("ui-tab-trigger-item-current");
			$("#ul-list li").each(function(){
				$(this).css("display","none");
			});
			var num=$(this).attr("id").substring(5,7);
			var exStr=$(this).attr("id").substring(0,3);
			var str=exStr+"-li"+num;
			$("#ul-list li[id^="+str+"]").each(function(){
				$(this).css("display","block");
			});
		});
	});
</script>
</html>