<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>批量创建</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
	<script type="text/javascript">
	$(document).ready(function() {
		$('#btnSubmit').click(function(){
			return $.isNumeric($('#count-input').val()) && $('#password-input').val().length>0;
		});
	});
	</script>
</head>
<body>
	<ul class="nav nav-tabs">
		<li><a href="${ctx}/admin/exam-param/header">科组长列表</a></li>
		<li class="active"><a href="${ctx}/admin/exam-param/header/batch-create">批量创建</a></li>
	</ul><br/>
	<form id="inputForm" action="${ctx}/admin/exam-param/header/batch-create" method="post" class="form-horizontal">
		<tags:message content="${message}"/>
		<div class="control-group">
			<label class="control-label">科目人数:</label>
			<div class="controls">
				<input name="count" htmlEscape="false" maxlength="10" class="required" id="count-input"/>
			</div>
		</div>
		<div class="control-group">
			<label class="control-label">初始密码:</label>
			<div class="controls">
				<input name="password" htmlEscape="false" maxlength="10" class="required" id="password-input"/>
			</div>
		</div>
		<div class="form-actions">
			<input id="btnSubmit" class="btn btn-primary" type="submit" value="保 存"/>&nbsp;
			<input id="btnCancel" class="btn" type="button" value="返 回" onclick="history.go(-1)"/>
		</div>
	</form>
</body>
</html>
