<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>扫描进度</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
	<style type="text/css">.sort{color:#0663A2;cursor:pointer;}</style>
</head>
<body>
	<%@include file="/WEB-INF/views/include/examInfoNavTabs.jsp" %>
	<tags:message content="${message}"/>
	<table id="contentTable" class="table table-striped table-bordered table-condensed">
		<thead>
			<tr>
				<th>状态</th>
				<th>科目数量</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${map}" var="entry">
			<tr>
				<td>${entry.key.name}</td>
				<td>${entry.value}</td>
				<td>
				<a href="${ctx}/admin/exam-param/subject/mark/list?statusValue=${entry.key.value}">详细</a>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
<script type="text/javascript">
</script>	
</body>
</html>