<%@ page language="java" pageEncoding="utf-8"%>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>云阅卷</title>
<link href="${ctxStatic}/mark-track/css/bootstrap.css" rel="stylesheet" type="text/css" />
<link href="${ctxStatic}/mark-track/css/style.css" rel="stylesheet" type="text/css" />

<script type="text/javascript" src="${ctxStatic}/mark-track/js/json2.js"></script>

<script type="text/javascript" src="${ctxStatic}/mark-track/js/jquery.min.js"></script>
<script type="text/javascript" src="${ctxStatic}/mark-track/js/jquery-ui.min.js "></script>
<script type="text/javascript" src="${ctxStatic}/mark-track/js/jquery.mousewheel.min.js"></script>

<script type="text/javascript" src="${ctxStatic}/mark-track/js/mark-control.js"></script>
<script type="text/javascript" src="${ctxStatic}/mark-track/js/task-control.js"></script>
<script type="text/javascript" src="${ctxStatic}/mark-track/js/modules/object-view.js"></script>
<script type="text/javascript" src="${ctxStatic}/mark-track/js/modules/sheet-view.js"></script>
<script type="text/javascript" src="${ctxStatic}/mark-track/js/modules/mark-board.js"></script>
<script type="text/javascript" src="${ctxStatic}/mark-track/js/modules/mark-history.js"></script>
<script type="text/javascript" src="${ctxStatic}/mark-track/js/modules/mark-status.js"></script>
<script type="text/javascript" src="${ctxStatic}/mark-track/js/modules/image-builder.js"></script>
<script type="text/javascript" src="${ctxStatic}/mark-track/js/modules/warning-info.js"></script>
<script type="text/javascript" src="${ctxStatic}/mark-track/js/modules/thumbnail.js"></script>
<script type="text/javascript" src="${ctxStatic}/mark-track/js/modules/single-image-view.js"></script>
<script type="text/javascript" src="${ctxStatic}/mark-track/js/modules/change-name.js"></script>
<script type="text/javascript" src="${ctxStatic}/mark-track/js/modules/tag-process.js"></script>
<script type="text/javascript" src="${ctxStatic}/mark-track/js/modules/view-sidebar.js"></script>
<script type="text/javascript" src="${ctxStatic}/mark-new/js/modules/specialTag.js"></script>
</head>
<body>
	<div class="container-fluid" id="container"></div>
	<script type="text/javascript">
		$(document).ready(function() {
			var mc = new MarkControl({
				container : $('#container'),
				staticServer : '${ctxStatic}',
				imageServer : '${sliceServer}',
				userName : '${web_user.name}',
				logoutUrl: '${ctx}/mark/logout',
				clearUrl: '${ctx}/mark/clear',
				forceSpecialTag : eval('${exam.forceSpecialTag}'.toLowerCase()),
				modules : {
					'single-image-view' : {},
					'image-builder': {},
					'mark-status': {
						simple : false,
						<c:if test="${marker.examSubjects.size()>=1}">
							subjectSelectUrl: '${ctx}/mark/subject-select',
						</c:if>
						subjectName : '${subject.displayName}'
					},
					'mark-history':{
						pageSize:10
					},
					'mark-board' : {
						showScoreBoard : false,
						autoSubmit : false,
						needConfirm : false,
                      	showTotalScore:true
					},
					'warning-info': {
					},
					'change-name':{
						url : '${ctx}/mark/change-name'
					},
					'tag-process':{
						url : '${ctx}/mark/tags'
					},
                    'specialTag':{
                    },
					<c:if test="${exam.showSheet==true}">
					'sheet-view':{
                        server : '${sheetServer}',
                    },
                    </c:if>
					'object-view':{
					    list: [
					           {title:'试卷',  url:'<c:if test="${subject.hasPaper==true}">${cardServer}${subject.paperUrl}</c:if>'},
					           {title:'答案',  url:'<c:if test="${subject.hasAnswer==true}">${cardServer}${subject.answerUrl}</c:if>'}
	                    ]
					}
				}
			});
			mc.start({
				mode : 'loop',
				statusUrl : '${ctx}/mark/status',
				getUrl : '${ctx}/mark/gettask',
				historyUrl : '${ctx}/mark/gethistory',
				submitUrl : '${ctx}/mark/savetask',
				clearUrl : '${ctx}/mark/clear'
			});
		});
	</script>
</body>
</html>